Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Platform/Aperios1.3.2/Sensors.h File Reference

Declaration of class Sensors and streaming operators for images and sensor data for Aperios platform. More...

`#include "Representations/Perception/SensorDataBuffer.h"`
`#include "Representations/Perception/Image.h"`
`#include "Representations/Perception/CameraParameters.h"`

Include dependency graph for Sensors.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Sensors
| base class for sensor processes More...
## Defines
#define | INIT_RECEIVER_IMAGE(blocking) theImageReceiver(this,"Receiver.OFbkImageVectorData.O",blocking)
| The macro instantiates a receiver for an Image.
#define | INIT_RECEIVER_SENSORDATA(blocking) theSensorDataBufferReceiver(this,"Receiver.OSensorFrameVectorData.O",blocking)
| The macro instantiates a receiver for SensorDataBuffer.
## Functions
In & | operator>> (In &stream, Image &image)
| Streaming operator that converts system-dependent images into the portable class Image.
In & | operator>> (In &stream, SensorDataBuffer &sensorDataBuffer)
| Streaming operator that converts system-dependent sensor data into the portable class SensorDataBuffer.

## Detailed Description

Declaration of class Sensors and streaming operators for images and sensor data for Aperios platform.

Author:
  Thomas Röfer

  Martin Lötzsch

  Sebastian Petters

  Joscha Bach

Definition in file Sensors.h.

## Define Documentation

#define INIT_RECEIVER_IMAGE | ( | blocking |  | ) | theImageReceiver(this,"Receiver.OFbkImageVectorData.O",blocking)

  | The macro instantiates a receiver for an Image. The Image receiver is system-specific. For Aperios, an Image receiver must be registered as OFbkImageVectorData. Parameters:
  blocking | Decides whether this sender blocks the execution of the next frame until all connected receivers have requested a new package.
Definition at line 60 of file Sensors.h. Referenced by Cognition::Cognition().

#define INIT_RECEIVER_SENSORDATA | ( | blocking |  | ) | theSensorDataBufferReceiver(this,"Receiver.OSensorFrameVectorData.O",blocking)

  | The macro instantiates a receiver for SensorDataBuffer. The SensorDataBuffer receiver is system-specific. For Aperios, a SensorDataBuffer receiver must be registered as OSensorFrameVectorData. Parameters:
  blocking | Decides whether this sender blocks the execution of the next frame until all connected receivers have requested a new package.
Definition at line 78 of file Sensors.h. Referenced by Cognition::Cognition(), Debug::Debug(), and Motion::Motion().

## Function Documentation

In& operator>> | ( | In & | stream,
|  | Image & | image
| ) |

  | Streaming operator that converts system-dependent images into the portable class Image. Todo: Implement copying from OFbkImageVectorData to Image. Parameters:
  stream | The stream from which is read.
  image | The system independent image object.
Returns: The stream. Definition at line 58 of file Sensors.cpp.

In& operator>> | ( | In & | stream,
|  | SensorDataBuffer & | sensorDataBuffer
| ) |

  | Streaming operator that converts system-dependent sensor data into the portable class SensorDataBuffer. Parameters:
  stream | The stream from which is read.
  sensorDataBuffer | The system independent sensor data buffer object.
Returns: The stream. Definition at line 90 of file Sensors.cpp.